#
# spec file for package minitube
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minitube
Version:        2.3.1
Release:        0
Summary:        Native Youtube Client
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://flavio.tordini.org/minitube
Source:         https://gitorious.org/%{name}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Manpage written by Jakob Haufe <sur5r@sur5r.net> for the Debian project
Source1:        minitube.1
# PATCH-FIX-OPENSUSE minitube-no-update-check.patch sur5r@sur5r.net -- Disable update check.
Patch0:         %{name}-no-update-check.patch
# PATCH-FIX-OPENSUSE minitube-fix-watchrelatedvideo-icon.patch kieltux@gmail.com -- Missing toolbar icon (watch related videos).
Patch1:         %{name}-fix-watchrelatedvideo-icon.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt4-linguist
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(QtDBus)
BuildRequires:  pkgconfig(QtNetwork)
BuildRequires:  pkgconfig(QtScript)
BuildRequires:  pkgconfig(QtSql)
BuildRequires:  pkgconfig(QtXml)
BuildRequires:  pkgconfig(phonon)
Requires:       phonon
Recommends:     %{name}-lang = %{version}

%description
Minitube is a native YouTube client. With it you can watch YouTube
videos in a new way: you type a keyword, Minitube gives you an
endless video stream.

Minitube is not about cloning the original YouTube web interface,
it strives to create a new TV-like experience.

%lang_package

%prep
%setup -q -n %{name}-%{name}
%patch0
%patch1

%build
%{_libdir}/qt4/bin/qmake \
  PREFIX=%{_prefix}            \
  QMAKE_CFLAGS="%{optflags}"   \
  QMAKE_CXXFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install
install -Dm 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1
%suse_update_desktop_file -r %{name} AudioVideo Video Player
%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/locale/
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor/*/
%dir %{_datadir}/icons/hicolor/*/apps/
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man?/%{name}*

%files lang
%defattr(-,root,root)
%{_datadir}/%{name}/locale/

%changelog
